CMU462::Matrix4x4 Class Reference

Defines a 4x4 matrix. More...

`#include <matrix4x4.h>`

Collaboration diagram for CMU462::Matrix4x4:

## Public Member Functions

void | zero (double val=0.0)
| Sets all elements to val.
double | det (void) const
| Returns the determinant of A.
double | norm (void) const
| Returns the Frobenius norm of A.
Vector4D & | column (int i)
| Returns the ith column.
Matrix4x4 | T (void) const
| Returns the transpose of A.
Matrix4x4 | inv (void) const
| Returns the inverse of A.

## Static Public Member Functions

static Matrix4x4 | identity (void)
| Returns a fresh 4x4 identity matrix.

## Detailed Description

Defines a 4x4 matrix.

4x4 matrices are also extremely useful in computer graphics. Written by Bryce Summers on 9/10/2015. Adapted from the Matrix3x3 class.

EXTEND_ME : It might be nice to add some combined operations such as multiplying then adding, etc to increase arithmetic intensity. I have taken the liberty of removing cross product functionality form 4D Matrices and Vectors.

The documentation for this class was generated from the following files:

- /Users/Sky/Dropbox/Projects/CMU462/private/p3/CMU462/include/CMU462/matrix4x4.h
- /Users/Sky/Dropbox/Projects/CMU462/private/p3/CMU462/src/matrix4x4.cpp